## Index

### Functions

- createAccount
- isUsernameAvailable
- isUsernameValid
- resendVerificationEmail
- shareLink
- storeFileSystemRootKey

## Functions

### createAccount

- createAccount(userProps: { email?: string; username: string }): Promise<{ success: boolean }>

- - Defined in lobby/index.ts:15

  Create a user account.

  #### Parameters

  - ##### userProps: { email?: string; username: string }

    - ##### Optional email?: string

    - ##### username: string

  #### Returns Promise<{ success: boolean }>

### isUsernameAvailable

- isUsernameAvailable(username: string): Promise<boolean>

- - Defined in lobby/username.ts:8

  Check if a username is available.

  #### Parameters

  - ##### username: string

  #### Returns Promise<boolean>

### isUsernameValid

- isUsernameValid(username: string): boolean

- - Defined in lobby/username.ts:20

  Check if a username is valid.

  #### Parameters

  - ##### username: string

  #### Returns boolean

### resendVerificationEmail

- resendVerificationEmail(): Promise<{ success: boolean }>

- - Defined in lobby/index.ts:49

  Ask the fission server to send another verification email to the user currently logged in.

  Throws if the user is not logged in.

  #### Returns Promise<{ success: boolean }>

### shareLink

- shareLink(details: ShareDetails): string

- - Defined in lobby/index.ts:83

  Create a share link. There people can "accept" a share, copying the soft links into their private filesystem.

  #### Parameters

  - ##### details: ShareDetails

  #### Returns string

### storeFileSystemRootKey

- storeFileSystemRootKey(key: string): Promise<void>

- - Defined in lobby/index.ts:94

  Store the read key for the root `PrivateTree` (ie. `/private`)

  #### Parameters

  - ##### key: string

  #### Returns Promise<void>

Generated using TypeDoc